Debian Bug report logs - #573004
insserv: Please provide machine parseable output

version graph

Package: insserv; Maintainer for insserv is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for insserv is src:insserv.

Reported by: Alexander Wirt <formorer@debian.org>

Date: Mon, 8 Mar 2010 06:51:05 UTC

Severity: wishlist

Found in version insserv/1.12.0-14

Fixed in version insserv/1.14.0-4

Done: Kel Modderman <kel@otaku42.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#573004; Package insserv. (Mon, 08 Mar 2010 06:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Wirt <formorer@debian.org>:
New Bug report received and forwarded. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Mon, 08 Mar 2010 06:51:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Alexander Wirt <formorer@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: insserv: Please provide machine parseable output
Date: Mon, 08 Mar 2010 07:48:02 +0100
Package: insserv
Version: 1.12.0-14
Severity: wishlist

Hi, 

we are currently thinking about providing dependency based booting for
file-rc. As we don't want to reinvent the wheel, we are thinking about
using insserv as depenency resolver (which would have the advantage of
a consistent interface). 

Therefore we would need a stable, machine parseable output. Something
like

S:NUM:RUNLEVELS:SCRIPT 
K:NUM:RUNLEVELS:SCRIPT 

or something like this comes into mind. 

If this could not be implemented in insserv I would have to fork
insserv or write my own resolver. 

Thanks in advance 

Alex

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages insserv depends on:
ii  libc6                         2.10.2-6   Embedded GNU C Library: Shared lib

insserv recommends no packages.

Versions of packages insserv suggests:
pn  bootchart                     <none>     (no description available)

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#573004; Package insserv. (Mon, 08 Mar 2010 07:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Mon, 08 Mar 2010 07:24:11 GMT) Full text and rfc822 format available.

Message #10 received at 573004@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Alexander Wirt <formorer@debian.org>, 573004@bugs.debian.org
Subject: Re: Bug#573004: insserv: Please provide machine parseable output
Date: Mon, 8 Mar 2010 08:23:56 +0100
[Alexander Wirt]
> Therefore we would need a stable, machine parseable
> output. Something like
> 
> S:NUM:RUNLEVELS:SCRIPT 
> K:NUM:RUNLEVELS:SCRIPT 
> 
> or something like this comes into mind. 

If upstream is willing, which I believe is the case but would have to
be verified, I would be happy to have this as part of the insserv
package.  There is some debug code already to dump the script order.
A patch to rewrite this to be available also in non-debug builds would
probably provide what you want.

Patches welcome. :)

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#573004; Package insserv. (Mon, 03 May 2010 11:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kel Modderman <kel@otaku42.de>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Mon, 03 May 2010 11:00:03 GMT) Full text and rfc822 format available.

Message #15 received at 573004@bugs.debian.org (full text, mbox):

From: Kel Modderman <kel@otaku42.de>
To: Petter Reinholdtsen <pere@hungry.com>, 573004@bugs.debian.org
Cc: Alexander Wirt <formorer@debian.org>
Subject: Re: Bug#573004: insserv: Please provide machine parseable output
Date: Mon, 3 May 2010 20:38:40 +1000
On Monday 08 March 2010 17:23:56 Petter Reinholdtsen wrote:
> [Alexander Wirt]
> > Therefore we would need a stable, machine parseable
> > output. Something like
> > 
> > S:NUM:RUNLEVELS:SCRIPT 
> > K:NUM:RUNLEVELS:SCRIPT 
> > 
> > or something like this comes into mind. 
> 
> If upstream is willing, which I believe is the case but would have to
> be verified, I would be happy to have this as part of the insserv
> package.  There is some debug code already to dump the script order.
> A patch to rewrite this to be available also in non-debug builds would
> probably provide what you want.
> 
> Patches welcome. :)

I added a patch to insserv which can output something like:

$ ./insserv -s
K:04:0 6:hwclock.sh
K:07:0 6:umountfs
K:03:0 1 6:rsyslog
K:04:0 6:umountnfs.sh
K:02:0 6:sendsigs
...
S:02:2 3 4 5:dnsmasq
S:02:2 3 4 5:irqbalance
S:02:2 3 4 5:cpufrequtils
S:01:2 3 4 5:loadcpufreq
...

For all scripts in init.d dir.

Is that okay?

This might make something like a runlevel.conf configuration:

./insserv -s | sort | perl -e '
	printf("#%s\t%-15s %-15s %s\n", "<sort>", "<off>", "<on>", "<script>");
	while (<STDIN>) {
		chomp;
		($sk, $seq, $lvls, $name) = split(":");
		printf("%.2d\t%-15s %-15s %s\n", $seq,
		       $sk eq "K" ? join(",", split(" ", $lvls)) : "-",
		       $sk eq "S" ? join(",", split(" ", $lvls)) : "-",
		       $name);
	}'

Thanks, Kel.




Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#573004; Package insserv. (Mon, 02 Aug 2010 20:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Mon, 02 Aug 2010 20:15:06 GMT) Full text and rfc822 format available.

Message #20 received at 573004@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Kel Modderman <kel@otaku42.de>, 573004@bugs.debian.org
Cc: Petter Reinholdtsen <pere@hungry.com>, Alexander Wirt <formorer@debian.org>
Subject: Re: Bug#573004: insserv: Please provide machine parseable output
Date: Mon, 2 Aug 2010 22:09:57 +0200
[Message part 1 (text/plain, inline)]
* Kel Modderman <kel@otaku42.de> [Mon Mai 03, 2010 at 08:38:40 +1000]:
> On Monday 08 March 2010 17:23:56 Petter Reinholdtsen wrote:
> > [Alexander Wirt]
> > > Therefore we would need a stable, machine parseable
> > > output. Something like

> > > S:NUM:RUNLEVELS:SCRIPT 
> > > K:NUM:RUNLEVELS:SCRIPT 

> > > or something like this comes into mind. 

> > If upstream is willing, which I believe is the case but would have to
> > be verified, I would be happy to have this as part of the insserv
> > package.  There is some debug code already to dump the script order.
> > A patch to rewrite this to be available also in non-debug builds would
> > probably provide what you want.

> > Patches welcome. :)

> I added a patch to insserv which can output something like:

> $ ./insserv -s
> K:04:0 6:hwclock.sh
> K:07:0 6:umountfs
> K:03:0 1 6:rsyslog
> K:04:0 6:umountnfs.sh
> K:02:0 6:sendsigs
> ...
> S:02:2 3 4 5:dnsmasq
> S:02:2 3 4 5:irqbalance
> S:02:2 3 4 5:cpufrequtils
> S:01:2 3 4 5:loadcpufreq
> ...

> For all scripts in init.d dir.

> Is that okay?

> This might make something like a runlevel.conf configuration:

> ./insserv -s | sort | perl -e '
> 	printf("#%s\t%-15s %-15s %s\n", "<sort>", "<off>", "<on>", "<script>");
> 	while (<STDIN>) {
> 		chomp;
> 		($sk, $seq, $lvls, $name) = split(":");
> 		printf("%.2d\t%-15s %-15s %s\n", $seq,
> 		       $sk eq "K" ? join(",", split(" ", $lvls)) : "-",
> 		       $sk eq "S" ? join(",", split(" ", $lvls)) : "-",
> 		       $name);
> 	}'

Thanks Kel. I just wanted to check this out and am wondering where I
can find this patch, the -s option neither seems to be supported
in insserv's current svn revision (1063) nor in Debian's
package insserv-1.14.0. Any hints?

thanks && regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#573004; Package insserv. (Mon, 02 Aug 2010 20:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Mon, 02 Aug 2010 20:18:03 GMT) Full text and rfc822 format available.

Message #25 received at 573004@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Michael Prokop <mika@debian.org>
Cc: Kel Modderman <kel@otaku42.de>, 573004@bugs.debian.org, Alexander Wirt <formorer@debian.org>
Subject: Re: Bug#573004: insserv: Please provide machine parseable output
Date: Mon, 2 Aug 2010 22:15:21 +0200
[Michael Prokop]
> Thanks Kel. I just wanted to check this out and am wondering where I
> can find this patch, the -s option neither seems to be supported
> in insserv's current svn revision (1063) nor in Debian's
> package insserv-1.14.0. Any hints?

It is 100_show.patch in
svn://svn.debian.org/initscripts-ng/trunk/src/insserv/debian/patches

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#573004; Package insserv. (Mon, 02 Aug 2010 20:42:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Mon, 02 Aug 2010 20:42:09 GMT) Full text and rfc822 format available.

Message #30 received at 573004@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: Kel Modderman <kel@otaku42.de>, 573004@bugs.debian.org, Alexander Wirt <formorer@debian.org>
Subject: Re: Bug#573004: insserv: Please provide machine parseable output
Date: Mon, 2 Aug 2010 22:40:36 +0200
[Message part 1 (text/plain, inline)]
* Petter Reinholdtsen <pere@hungry.com> [Mon Aug 02, 2010 at 10:15:21PM +0200]:
> [Michael Prokop]
> > Thanks Kel. I just wanted to check this out and am wondering where I
> > can find this patch, the -s option neither seems to be supported
> > in insserv's current svn revision (1063) nor in Debian's
> > package insserv-1.14.0. Any hints?

> It is 100_show.patch in
> svn://svn.debian.org/initscripts-ng/trunk/src/insserv/debian/patches

Thanks.

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#573004; Package insserv. (Mon, 02 Aug 2010 21:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Mon, 02 Aug 2010 21:09:08 GMT) Full text and rfc822 format available.

Message #35 received at 573004@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: 573004@bugs.debian.org
Subject: ugh, perl…
Date: Mon, 2 Aug 2010 21:06:29 +0000 (UTC)
How about this?

./insserv -s | sort | (echo "#<sort> <off> <on> <script>"; \
    while IFS=: read type num levels rest; do
        lvs=
        for lv in $levels; do
                lvs=$lvs${lvs:+,}$lv
        done
        case $type in
        K)      loff=$lvs; lon=- ;;
        S)      loff=-; lon=$lvs ;;
        esac
        echo "$num $loff $lon $rest"
done) | column -t

Could do the printf dance for tabular output, but column -t is nice
as well. This should be POSIX sh, IINM.

bye,
//mirabilos • tg@d.o @ freenode #grml observer
-- 
Yay for having to rewrite other people's Bash scripts because bash
suddenly stopped supporting the bash extensions they make use of
	-- Tonnerre Lombard in #nosec




Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#573004; Package insserv. (Thu, 05 Jul 2012 09:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Thu, 05 Jul 2012 09:00:03 GMT) Full text and rfc822 format available.

Message #40 received at 573004@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Petter Reinholdtsen <pere@hungry.com>, 573004@bugs.debian.org
Cc: Michael Prokop <mika@debian.org>, Kel Modderman <kel@otaku42.de>, Alexander Wirt <formorer@debian.org>
Subject: Re: Bug#573004: insserv: Please provide machine parseable output
Date: Thu, 5 Jul 2012 09:57:24 +0100
On Mon, Aug 02, 2010 at 10:15:21PM +0200, Petter Reinholdtsen wrote:
> [Michael Prokop]
> > Thanks Kel. I just wanted to check this out and am wondering where I
> > can find this patch, the -s option neither seems to be supported
> > in insserv's current svn revision (1063) nor in Debian's
> > package insserv-1.14.0. Any hints?
> 
> It is 100_show.patch in
> svn://svn.debian.org/initscripts-ng/trunk/src/insserv/debian/patches

Hi Petter,

This patch has been tested, and we now have a patch for file-rc's
update-rc.d which makes use of it.  Would it be possible to
enable this in a new upload so the file-rc change can go in?  This
will enable dependency-based boot in file-rc and enable deprecation
and removal of sequence numbers in update-rc.d for wheezy+1.


Many thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800




Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#573004; Package insserv. (Thu, 05 Jul 2012 09:06:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Thu, 05 Jul 2012 09:06:35 GMT) Full text and rfc822 format available.

Message #45 received at 573004@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Roger Leigh <rleigh@codelibre.net>
Cc: 573004@bugs.debian.org, Michael Prokop <mika@debian.org>, Kel Modderman <kel@otaku42.de>, Alexander Wirt <formorer@debian.org>
Subject: Re: Bug#573004: insserv: Please provide machine parseable output
Date: Thu, 5 Jul 2012 11:04:31 +0200
[Roger Leigh]
> Hi Petter,

Hi.

> This patch has been tested, and we now have a patch for file-rc's
> update-rc.d which makes use of it.  Would it be possible to
> enable this in a new upload so the file-rc change can go in?  This
> will enable dependency-based boot in file-rc and enable deprecation
> and removal of sequence numbers in update-rc.d for wheezy+1.

Feel free to upload a new version of insserv with this patch included,
and make sure to try to get it included in upstream too.  You are the
most active sysvinit maintainer in Debian these days, so I consider
you a co-maintainer of insserv. :)

As long as the testsuite in insserv succeeds, a new upload is ok with
me.  It is great if you can ensure the new feature is tested in the
testsuite.

-- 
Happy hacking
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#573004; Package insserv. (Thu, 05 Jul 2012 09:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Thu, 05 Jul 2012 09:21:07 GMT) Full text and rfc822 format available.

Message #50 received at 573004@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Kel Modderman <kel@otaku42.de>
Cc: Petter Reinholdtsen <pere@hungry.com>, 573004@bugs.debian.org, Michael Prokop <mika@debian.org>, Alexander Wirt <formorer@debian.org>
Subject: Re: Bug#573004: insserv: Please provide machine parseable output
Date: Thu, 5 Jul 2012 10:17:23 +0100
On Thu, Jul 05, 2012 at 07:12:03PM +1000, Kel Modderman wrote:
> > > This patch has been tested, and we now have a patch for file-rc's
> > > update-rc.d which makes use of it.  Would it be possible to
> > > enable this in a new upload so the file-rc change can go in?  This
> > > will enable dependency-based boot in file-rc and enable deprecation
> > > and removal of sequence numbers in update-rc.d for wheezy+1.
> > 
> > Feel free to upload a new version of insserv with this patch included,
> > and make sure to try to get it included in upstream too.  You are the
> > most active sysvinit maintainer in Debian these days, so I consider
> > you a co-maintainer of insserv. :)
> > 
> > As long as the testsuite in insserv succeeds, a new upload is ok with
> > me.  It is great if you can ensure the new feature is tested in the
> > testsuite.
> 
> If you want, I can make the changes to insserv package if you'd be okay
> with sponsoring the result?

That would be much appreciated, and I'll certainly be happy to
sponsor it.


Many thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800




Information forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#573004; Package insserv. (Thu, 05 Jul 2012 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kel Modderman <kel@otaku42.de>:
Extra info received and forwarded to list. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Thu, 05 Jul 2012 09:39:05 GMT) Full text and rfc822 format available.

Message #55 received at 573004@bugs.debian.org (full text, mbox):

From: Kel Modderman <kel@otaku42.de>
To: Petter Reinholdtsen <pere@hungry.com>, 573004@bugs.debian.org
Cc: Roger Leigh <rleigh@codelibre.net>, Michael Prokop <mika@debian.org>, Alexander Wirt <formorer@debian.org>
Subject: Re: Bug#573004: insserv: Please provide machine parseable output
Date: Thu, 5 Jul 2012 19:12:03 +1000
Hi Roger,


> 
> > This patch has been tested, and we now have a patch for file-rc's
> > update-rc.d which makes use of it.  Would it be possible to
> > enable this in a new upload so the file-rc change can go in?  This
> > will enable dependency-based boot in file-rc and enable deprecation
> > and removal of sequence numbers in update-rc.d for wheezy+1.
> 
> Feel free to upload a new version of insserv with this patch included,
> and make sure to try to get it included in upstream too.  You are the
> most active sysvinit maintainer in Debian these days, so I consider
> you a co-maintainer of insserv. :)
> 
> As long as the testsuite in insserv succeeds, a new upload is ok with
> me.  It is great if you can ensure the new feature is tested in the
> testsuite.

If you want, I can make the changes to insserv package if you'd be okay
with sponsoring the result?

Thanks, Kel




Reply sent to Kel Modderman <kel@otaku42.de>:
You have taken responsibility. (Thu, 05 Jul 2012 22:21:05 GMT) Full text and rfc822 format available.

Notification sent to Alexander Wirt <formorer@debian.org>:
Bug acknowledged by developer. (Thu, 05 Jul 2012 22:21:05 GMT) Full text and rfc822 format available.

Message #60 received at 573004-close@bugs.debian.org (full text, mbox):

From: Kel Modderman <kel@otaku42.de>
To: 573004-close@bugs.debian.org
Subject: Bug#573004: fixed in insserv 1.14.0-4
Date: Thu, 05 Jul 2012 22:17:17 +0000
Source: insserv
Source-Version: 1.14.0-4

We believe that the bug you reported is fixed in the latest version of
insserv, which is due to be installed in the Debian FTP archive:

insserv_1.14.0-4.debian.tar.gz
  to main/i/insserv/insserv_1.14.0-4.debian.tar.gz
insserv_1.14.0-4.dsc
  to main/i/insserv/insserv_1.14.0-4.dsc
insserv_1.14.0-4_amd64.deb
  to main/i/insserv/insserv_1.14.0-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 573004@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kel Modderman <kel@otaku42.de> (supplier of updated insserv package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 05 Jul 2012 21:13:26 +1000
Source: insserv
Binary: insserv
Architecture: source amd64
Version: 1.14.0-4
Distribution: unstable
Urgency: low
Maintainer: Petter Reinholdtsen <pere@debian.org>
Changed-By: Kel Modderman <kel@otaku42.de>
Description: 
 insserv    - boot sequence organizer using LSB init.d script dependency inform
Closes: 573004 668559
Changes: 
 insserv (1.14.0-4) unstable; urgency=low
 .
   * Provide machine parseable output which may be used by file-rc to calculate
     dynamic sequence number for each script. (Closes: #573004)
   * Use "overrides" instead of "overwrites" and define defaults as "LSB
     defaults" when emitting warnings. (Closes: #668559)
   * Remove upstart jobs created by test_insserv_upstart at end of test.
   * Remove config snippets made by test_local_virtual at end of test.
Checksums-Sha1: 
 74fbd8bebefe08828c718c05c28885b8d61f221f 1947 insserv_1.14.0-4.dsc
 d226a26c44b58127c2d0c8e38b347174a8059b68 53784 insserv_1.14.0-4.debian.tar.gz
 dee2d06055d002aaf4de71d757ef9da8c79cda36 64692 insserv_1.14.0-4_amd64.deb
Checksums-Sha256: 
 124062cfc4ab7d0419f5d1d9d4e2fbfbcf41720b4a636fd01a7ddd4c7a12f1ce 1947 insserv_1.14.0-4.dsc
 e27e411e62ed90e5d293c63919105285618585c1e924cabc07a0925058406955 53784 insserv_1.14.0-4.debian.tar.gz
 f189185c20aa3945b4be7b3555aad61cbf67690c2896fa25c5053189172b5f63 64692 insserv_1.14.0-4_amd64.deb
Files: 
 03ff451cbeecbc841ea832211bda1a83 1947 misc optional insserv_1.14.0-4.dsc
 26ba9b66a58505d57afe5b56e4164e57 53784 misc optional insserv_1.14.0-4.debian.tar.gz
 106c3f634b7fd246e401896d868b1a8e 64692 misc optional insserv_1.14.0-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJP9gxGAAoJEOJSSsUKn1xZWMYP/ilKpldVe3tUDE8kJz4n4LhB
vtnA/MKrX4CPA1ltPcMvdAATNhq8NUZ7tUue2qSOER2Wvs6LeiELO/FIQ4BvTkeH
+gWB6xd7XnKB1nD5IZGhEIaZmFKkvOu0kSKzm8mFgZfI6ZpZyanPo27pdEvxnj6E
2DNc6sW6Tb+ziEdbyAlvnVTnlNOcO6xkzRDQbd9K3bzQo8MH6V8y6gbN0NLoMN0m
5KRNGh0hsKtK+ll2WkXh/zAFN3Vv/T0kaQAYWz5EoWG1DJ4VQTBsFmNibWf0J7BM
yYIOKRymwYfv3gkSZsjitEevZCyH1UKTBQpI6bCUP8UKlw9x3z2vVGxt+3o9tWU7
jfxikosOODFl14FiS7oP27Pkdh2PZVDIdrEaN1yPq2MasTmn00GnvM2sCHye1SXK
n41XVEvjFFDzxztDeQFNQFiaJsBxf2eiFBo5KEJ/xLUFEEhBK1KUmD/hhs7GqQER
c4rYxujEVj8ZKYFcdE0pM2+FYyjUtgqNJ5vFDcX7jVWREmAj3Y589c0faJioy6jB
0XtFOlGYyKPr2pAAKjCJxciFqV5wUeuwFtQz+MTeDk/0xF7IfObuyQ1cnP1W8Lne
L2Hlbtc0XEEtY8HJFwhrWSP/tLWrCtirHk8N6DtS8GyEfvp4q4VILCISFTdsxKB/
gKrre3PTNv8x8xvWtmBM
=RAkb
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Oct 2012 07:25:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:29:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.